searchNodes=[{"ref":"DsWrapper.html","title":"DsWrapper","type":"module","doc":"google_api_datastore wrapper."},{"ref":"DsWrapper.Connection.html","title":"DsWrapper.Connection","type":"module","doc":"Connection for GoogleApi.Datastore.V1."},{"ref":"DsWrapper.Connection.html#new/0","title":"DsWrapper.Connection.new/0","type":"function","doc":"Configure a client connection. use GOOGLE_CLOUD_PROJECT as the project_id."},{"ref":"DsWrapper.Connection.html#new/1","title":"DsWrapper.Connection.new/1","type":"function","doc":"Configure a client connection."},{"ref":"DsWrapper.Connection.html#new/2","title":"DsWrapper.Connection.new/2","type":"function","doc":"Configure a client connection."},{"ref":"DsWrapper.Connection.html#t:t/0","title":"DsWrapper.Connection.t/0","type":"type","doc":""},{"ref":"DsWrapper.Datastore.html","title":"DsWrapper.Datastore","type":"module","doc":"GoogleApi.Datastore.V1.Api.Projects utility"},{"ref":"DsWrapper.Datastore.html#commit/1","title":"DsWrapper.Datastore.commit/1","type":"function","doc":"Commit a transaction. Examples iex&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; {:ok, tx} = DsWrapper.transaction(conn) ...&gt; DsWrapper.Datastore.insert(tx, entity_a) ...&gt; DsWrapper.Datastore.update(tx, entity_b) ...&gt; DsWrapper.Datastore.commit(tx) {:ok, %CommitResponse{...}}"},{"ref":"DsWrapper.Datastore.html#delete/2","title":"DsWrapper.Datastore.delete/2","type":"function","doc":"Remove entities from the Datastore. Examples iex&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; key = DsWrapper.Key.new(&quot;SomeKind&quot;, &quot;some-name&quot;) ...&gt; DsWrapper.Datastore.delete(connection, key) :ok"},{"ref":"DsWrapper.Datastore.html#delete!/2","title":"DsWrapper.Datastore.delete!/2","type":"function","doc":"Remove entities from the Datastore. Raises an exception on error."},{"ref":"DsWrapper.Datastore.html#find/2","title":"DsWrapper.Datastore.find/2","type":"function","doc":"Retrieve an entity by key. Examples iex&gt; import DsWrapper.Query ...&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; key = DsWrapper.Key.new(&quot;SomeKind&quot;, &quot;some-name&quot;) ...&gt; DsWrapper.Datastore.find(connection, key) {:ok, %{...}}"},{"ref":"DsWrapper.Datastore.html#find!/2","title":"DsWrapper.Datastore.find!/2","type":"function","doc":"Retrieve an entity by key. Raises an exception on error."},{"ref":"DsWrapper.Datastore.html#find_all/2","title":"DsWrapper.Datastore.find_all/2","type":"function","doc":"Retrieve the entities for the provided keys. The order of results is undefined and has no relation to the order of keys arguments. Examples iex&gt; import DsWrapper.Query ...&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; keys = [DsWrapper.Key.new(&quot;SomeKind&quot;, &quot;some-name-01&quot;), ...] ...&gt; DsWrapper.Datastore.find_all(connection, keys) {:ok, %{found: [%{...}, ...], missing: [%Key{...}, ...], deferred: [%Key{...}, ...]}}"},{"ref":"DsWrapper.Datastore.html#find_all!/2","title":"DsWrapper.Datastore.find_all!/2","type":"function","doc":"Retrieve the entities for the provided keys. The order of results is undefined and has no relation to the order of keys arguments. Raises an exception on error."},{"ref":"DsWrapper.Datastore.html#insert/2","title":"DsWrapper.Datastore.insert/2","type":"function","doc":"Insert one or more entities to the Datastore. Examples iex&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; entity = DsWrapper.Entity.new(key, properties) ...&gt; DsWrapper.Datastore.insert(connection, entity) {:ok, [%Key{...}]}"},{"ref":"DsWrapper.Datastore.html#insert!/2","title":"DsWrapper.Datastore.insert!/2","type":"function","doc":"Insert one or more entities to the Datastore. Raises an exception on error."},{"ref":"DsWrapper.Datastore.html#query/1","title":"DsWrapper.Datastore.query/1","type":"function","doc":"See DsWrapper.Query.new_query/1."},{"ref":"DsWrapper.Datastore.html#rollback/1","title":"DsWrapper.Datastore.rollback/1","type":"function","doc":"Rolls a transaction back. Examples iex&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; {:ok, tx} = DsWrapper.transaction(conn) ...&gt; DsWrapper.Datastore.insert(tx, entity_a) ...&gt; DsWrapper.Datastore.update(tx, entity_b) ...&gt; DsWrapper.Datastore.rollback(tx) :ok"},{"ref":"DsWrapper.Datastore.html#run_in_transaction/2","title":"DsWrapper.Datastore.run_in_transaction/2","type":"function","doc":"Runs the given function inside a transaction. If the given function raises exception, rolled back the transaction. Examples iex&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; DsWrapper.run_in_transaction(conn, fn tx -&gt; ...&gt; Datastore.insert!(tx, entity) ...&gt; Datastore.update!(tx, another_entity) ...&gt; end) {:ok, ...}"},{"ref":"DsWrapper.Datastore.html#run_query/2","title":"DsWrapper.Datastore.run_query/2","type":"function","doc":"Retrieve entities specified by a Query. Examples iex&gt; import DsWrapper.Query ...&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; query = new_query(&quot;SomeKind&quot;) |&gt; where(&quot;some_property&quot;, &quot;=&quot;, &quot;some value&quot;) ...&gt; DsWrapper.Datastore.run_query(connection, query) {:ok, %{cursor: ..., entities: [%{...}]}}"},{"ref":"DsWrapper.Datastore.html#run_query!/2","title":"DsWrapper.Datastore.run_query!/2","type":"function","doc":"Retrieve entities specified by a Query. Raises an exception on error."},{"ref":"DsWrapper.Datastore.html#transaction/2","title":"DsWrapper.Datastore.transaction/2","type":"function","doc":"Creates a Datastore Transaction. Examples iex&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; DsWrapper.transaction(conn) {:ok, %DsWrapper.Connection{connection: ..., project_id: ..., transaction_id: ..., mutation_store_pid: ...}}"},{"ref":"DsWrapper.Datastore.html#update/2","title":"DsWrapper.Datastore.update/2","type":"function","doc":"Update one or more entities to the Datastore. Examples iex&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; entity = DsWrapper.Entity.new(key, properties) ...&gt; DsWrapper.Datastore.update(connection, entity) {:ok, [%Key{...}]}"},{"ref":"DsWrapper.Datastore.html#update!/2","title":"DsWrapper.Datastore.update!/2","type":"function","doc":"Update one or more entities to the Datastore. Raises an exception on error."},{"ref":"DsWrapper.Datastore.html#upsert/2","title":"DsWrapper.Datastore.upsert/2","type":"function","doc":"Persist one or more entities to the Datastore. Examples iex&gt; {:ok, connection} = DsWrapper.Connection.new(&quot;project-id&quot;) ...&gt; entity = DsWrapper.Entity.new(key, properties) ...&gt; DsWrapper.Datastore.upsert(connection, entity) {:ok, [%Key{...}]}"},{"ref":"DsWrapper.Datastore.html#upsert!/2","title":"DsWrapper.Datastore.upsert!/2","type":"function","doc":"Persist one or more entities to the Datastore. Raises an exception on error."},{"ref":"DsWrapper.Datastore.html#t:find_all_result/0","title":"DsWrapper.Datastore.find_all_result/0","type":"type","doc":""},{"ref":"DsWrapper.Datastore.html#t:key/0","title":"DsWrapper.Datastore.key/0","type":"type","doc":""},{"ref":"DsWrapper.Datastore.html#t:query_result/0","title":"DsWrapper.Datastore.query_result/0","type":"type","doc":""},{"ref":"DsWrapper.Entity.html","title":"DsWrapper.Entity","type":"module","doc":"GoogleApi.Datastore.V1.Model.Entity wrapper"},{"ref":"DsWrapper.Entity.html#new/3","title":"DsWrapper.Entity.new/3","type":"function","doc":"Create a new GoogleApi.Datastore.V1.Model.Entity. Examples iex&gt; key = DsWrapper.Key.new(&quot;SomeKind&quot;, &quot;some-name&quot;) iex&gt; properties = %{&quot;some_property&quot; =&gt; &quot;some value&quot;} iex&gt; DsWrapper.Entity.new(key, properties) %GoogleApi.Datastore.V1.Model.Entity{...}"},{"ref":"DsWrapper.Entity.html#to_map/1","title":"DsWrapper.Entity.to_map/1","type":"function","doc":"Convert GoogleApi.Datastore.V1.Model.Entity&#39;s properties to a Map. Examples iex&gt; DsWrapper.Entity.to_map(entity) %{&quot;some_property&quot; =&gt; &quot;some value&quot;}"},{"ref":"DsWrapper.Key.html","title":"DsWrapper.Key","type":"module","doc":"GoogleApi.Datastore.V1.Model.Key wrapper"},{"ref":"DsWrapper.Key.html#new/3","title":"DsWrapper.Key.new/3","type":"function","doc":"Create a new GoogleApi.Datastore.V1.Model.Key. Examples iex&gt; DsWrapper.Key.new(&quot;SomeKind&quot;) %GoogleApi.Datastore.V1.Model.Key{path: [%GoogleApi.Datastore.V1.Model.PathElement{kind: &quot;SomeKind&quot;}]} iex&gt; DsWrapper.Key.new(&quot;SomeKind&quot;, &quot;some-name&quot;) %GoogleApi.Datastore.V1.Model.Key{path: [%GoogleApi.Datastore.V1.Model.PathElement{kind: &quot;SomeKind&quot;, name: &quot;some-name&quot;}]} iex&gt; DsWrapper.Key.new(&quot;SomeKind&quot;, 1234) %GoogleApi.Datastore.V1.Model.Key{path: [%GoogleApi.Datastore.V1.Model.PathElement{kind: &quot;SomeKind&quot;, id: &quot;1234&quot;}]}"},{"ref":"DsWrapper.Mutation.html","title":"DsWrapper.Mutation","type":"module","doc":"GoogleApi.Datastore.V1.Model.Mutation wrapper"},{"ref":"DsWrapper.Mutation.html#for_delete/1","title":"DsWrapper.Mutation.for_delete/1","type":"function","doc":"Create new GoogleApi.Datastore.V1.Model.Mutations for delete. Examples iex&gt; DsWrapper.Mutation.for_delete(DsWrapper.Key.new(...)) [%GoogleApi.Datastore.V1.Model.Mutation{delete: ...}]"},{"ref":"DsWrapper.Mutation.html#for_insert/1","title":"DsWrapper.Mutation.for_insert/1","type":"function","doc":"Create new GoogleApi.Datastore.V1.Model.Mutations for insert. Examples iex&gt; DsWrapper.Mutation.for_insert(DsWrapper.Entity.new(...)) [%GoogleApi.Datastore.V1.Model.Mutation{insert: ...}]"},{"ref":"DsWrapper.Mutation.html#for_update/1","title":"DsWrapper.Mutation.for_update/1","type":"function","doc":"Create new GoogleApi.Datastore.V1.Model.Mutations for update. Examples iex&gt; DsWrapper.Mutation.for_update(DsWrapper.Entity.new(...)) [%GoogleApi.Datastore.V1.Model.Mutation{update: ...}]"},{"ref":"DsWrapper.Mutation.html#for_upsert/1","title":"DsWrapper.Mutation.for_upsert/1","type":"function","doc":"Create new GoogleApi.Datastore.V1.Model.Mutations for upsert. Examples iex&gt; DsWrapper.Mutation.for_upsert(DsWrapper.Entity.new(...)) [%GoogleApi.Datastore.V1.Model.Mutation{upsert: ...}]"},{"ref":"DsWrapper.Query.html","title":"DsWrapper.Query","type":"module","doc":"GoogleApi.Datastore.V1.Model.Query wrapper"},{"ref":"DsWrapper.Query.html#limit/2","title":"DsWrapper.Query.limit/2","type":"function","doc":"Set a limit on the number of results to be returned. Examples iex&gt; import DsWrapper.Query iex&gt; new_query(&quot;SomeKind&quot;) ...&gt; |&gt; limit(100) %GoogleApi.Datastore.V1.Model.Query{...}"},{"ref":"DsWrapper.Query.html#new_query/1","title":"DsWrapper.Query.new_query/1","type":"function","doc":"Create a new %GoogleApi.Datastore.V1.Model.Query for kind. Examples iex&gt; DsWrapper.Query.new_query(&quot;SomeKind&quot;) %GoogleApi.Datastore.V1.Model.Query{...}"},{"ref":"DsWrapper.Query.html#order/3","title":"DsWrapper.Query.order/3","type":"function","doc":"Sort the results by a property name. By default, an ascending sort order will be used. To sort in descending order, provide a second argument to :desc. Examples iex&gt; import DsWrapper.Query iex&gt; new_query(&quot;SomeKind&quot;) ...&gt; |&gt; order(&quot;some_property&quot;) %GoogleApi.Datastore.V1.Model.Query{...}"},{"ref":"DsWrapper.Query.html#start/2","title":"DsWrapper.Query.start/2","type":"function","doc":"Set the cursor to start the results at. Examples iex&gt; import DsWrapper.Query iex&gt; new_query(&quot;SomeKind&quot;) ...&gt; |&gt; start(cursor) %GoogleApi.Datastore.V1.Model.Query{...}"},{"ref":"DsWrapper.Query.html#where/4","title":"DsWrapper.Query.where/4","type":"function","doc":"Add a property filter to the query. Examples iex&gt; import DsWrapper.Query iex&gt; new_query(&quot;SomeKind&quot;) ...&gt; |&gt; where(&quot;some_property&quot;, &quot;=&quot;, &quot;some value&quot;) %GoogleApi.Datastore.V1.Model.Query{...}"},{"ref":"DsWrapper.Query.html#t:query/0","title":"DsWrapper.Query.query/0","type":"type","doc":""},{"ref":"DsWrapper.Value.html","title":"DsWrapper.Value","type":"module","doc":"GoogleApi.Datastore.V1.Model.Value wrapper"},{"ref":"DsWrapper.Value.html#from_native/2","title":"DsWrapper.Value.from_native/2","type":"function","doc":"Convert to a GoogleApi.Datastore.V1.Model.Value. Examples iex&gt; DsWrapper.Value.from_native(123) %GoogleApi.Datastore.V1.Model.Value{integerValue: &quot;123&quot;} iex&gt; DsWrapper.Value.from_native(123, true) %GoogleApi.Datastore.V1.Model.Value{integerValue: &quot;123&quot;, excludeFromIndexes: true}"},{"ref":"DsWrapper.Value.html#to_native/1","title":"DsWrapper.Value.to_native/1","type":"function","doc":"Convert from a GoogleApi.Datastore.V1.Model.Value. Examples iex&gt; DsWrapper.Value.to_native(%GoogleApi.Datastore.V1.Model.Value{integerValue: &quot;123&quot;}) 123"}]